Subject: bug#12050: 23.3; font trashes mode-line file name

From: [email-masked]
Date: Sun, 29 Jul 2012 07:44:16 -0400

with the gdb command
run -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15
the crash occurs at xterm.c:1216
1216   else if (FONT_HEIGHT (s->font) < s->height - 2 * box_line_width

with the gdb command
run -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
the crash occurs at xfaces.c:4841
4841   if (! EQ (face->font->props[i], def_face->font->props[i]))

recall that the times line crashes in 23.3 and 24.1 and the helvetica line
works fine in 23.3 and crashes in 24.1.

>> Date: Thu, 26 Jul 2012 08:28:05 -0400
>> From: [email-masked]
>>
>> I built emacs-24.1 in a local directory and tried it with the same
>> command
>> line. I find emacs-23.3 is decidedly more friendly than emacs-24.1. 23.3
>> merely trashes the filename in the mode-line. 24.1 gives
>> Fatal error (11) Segmentation fault.
>>
>> I can invoke emacs-24.1 with some alternative not default font and it
>> does
>> come up ok and display file names in the mode line. The following line
>> with a helvetica font displays ok in emacs23.3 (i.e., mode-line fine).
>> The
>> following line gives Fatal error (11) Segmentation fault with
>> emacs-24.1.
>>
>> emacs -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
>> anyfile
>
> I think this problem was already fixed in the development sources.
> But before I send you the change that fixed it, could you please run
> Emacs under a debugger and see in what source line does it crash?  I'd
> like to verify that what you see is the same problem as the one that
> was fixed.
>
> Thanks.
>
> P.S. Please keep the bug address on the CC line, so that this
> discussion is archived on the bug tracker.
>